# Interface ComparasionExp<T>

interface ComparasionExp<T> {
_eq?: T;
_gt?: T;
_gte?: T;
_id?: [any, ...any[]];
_ilike?: string;
_in?: T[];
_iregex?: string;
_is_null?: boolean;
_like?: string;
_lt?: T;
_lte?: T;
_neq?: T;
_nilike?: string;
_nin?: T[];
_niregex?: string;
_nlike?: string;
_nregex?: string;
_regex?: string;
_type_of?: T;
}

#### Type Parameters

- T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:179

#####
Index

### Properties

_eq?
_gt?
_gte?
_id?
_ilike?
_in?
_iregex?
_is_null?
_like?
_lt?
_lte?
_neq?
_nilike?
_nin?
_niregex?
_nlike?
_nregex?
_regex?
_type_of?

##
Properties

### `Optional`_eq

_eq?: T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:180

### `Optional`_gt

_gt?: T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:182

### `Optional`_gte

_gte?: T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:183

### `Optional`_id

_id?: [any, ...any[]]

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:190

### `Optional`_ilike

_ilike?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:192

### `Optional`_in

_in?: T[]

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:187

### `Optional`_iregex

_iregex?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:197

### `Optional`_is_null

_is_null?: boolean

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:186

### `Optional`_like

_like?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:191

### `Optional`_lt

_lt?: T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:184

### `Optional`_lte

_lte?: T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:185

### `Optional`_neq

_neq?: T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:181

### `Optional`_nilike

_nilike?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:194

### `Optional`_nin

_nin?: T[]

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:188

### `Optional`_niregex

_niregex?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:198

### `Optional`_nlike

_nlike?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:193

### `Optional`_nregex

_nregex?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:196

### `Optional`_regex

_regex?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:195

### `Optional`_type_of

_type_of?: T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:189